<form [formGroup]="pokeUpdate" class="pokeDetails-container example-form" (ngSubmit)="onUpdate(pokeUpdate)">
    <h4>Pokemon Details</h4>
    <app-custom-input formControlName="name" 
    type="text" labelFor="Pokemon Name" placeholder="pokemon name">
    </app-custom-input>

    <span>Pokemon Type</span>
    <select matNativeControl  formControlName="type" >
        <option value="1">Water</option>
        <option value="2">Fire</option>
        <option value="3">Leaf</option>
        <option value="4">Steel</option>
      </select>

    <app-custom-input formControlName="level" 
    type="text" labelFor="Pokemon Level" placeholder="pokemon level">
    </app-custom-input>

    <button mat-button buttonText="Update" type="submit" mat-dialog-close>Update</button>
</form>